Loading...
Searching...
No Matches
etl::crc1 Class Reference

## Public Types

enum | { odd_parity = crc1_policy::odd_parity , even_parity = crc1_policy::even_parity }
Public Types inherited from etl::frame_check_sequence< crc1_policy >
typedef crc1_policy | policy_type
typedef policy_type::value_type | value_type
typedef private_frame_check_sequence::add_insert_iterator< frame_check_sequence< crc1_policy > > | add_insert_iterator

## Public Member Functions

ETL_CONSTEXPR14 | crc1 ()
| Default constructor.
template<typename TIterator>
ETL_CONSTEXPR14 | crc1 (TIterator begin, const TIterator end)
Public Member Functions inherited from etl::frame_check_sequence< crc1_policy >
| ETL_STATIC_ASSERT (etl::is_unsigned< value_type >::value, "Signed frame check type not supported")
ETL_CONSTEXPR14 | frame_check_sequence ()
| Default constructor.
ETL_CONSTEXPR14 void | reset ()
| Resets the FCS to the initial state.
ETL_CONSTEXPR14 void | add (TIterator begin, const TIterator end)
ETL_CONSTEXPR14 value_type | value () const
| Gets the FCS value.
ETL_CONSTEXPR14 | operator value_type () const
| Conversion operator to value_type.
ETL_CONSTEXPR14 add_insert_iterator | input ()
| Gets an add_insert_iterator for input.

## Constructor & Destructor Documentation

## crc1()

template<typename TIterator>

ETL_CONSTEXPR14 etl::crc1::crc1 | ( | TIterator | begin,
|  | const TIterator | end )

inline

Constructor from range.

Parameters

  begin | Start of the range.
  end | End of the range.

The documentation for this class was generated from the following file:

- include/etl/crc1.h